<?php

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAccount\Sections;


use ModulesGarden\Servers\ZimbraEmail\App\Traits\FormExtendedTrait;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Text;

/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 12.11.19
 * Time: 13:52
 * Class EditAdditionalSection
 */
class EditAdditionalSection extends FreeFieldsSection
{
    protected $id   = 'editAdditionalSection';
    protected $name = 'editAdditionalSection';

    use FormExtendedTrait;

    public function initContent()
    {
        $this->generateDoubleSection([new Text('company'), new Text('title')]);

        $field = new Text('phone');
        $this->addField($field);

        $this->generateDoubleSection([new Text('home_phone'), new Text('mobile_phone')]);

        $this->generateDoubleSection([new Text('fax'), new Text('pager')]);

        $this->generateDoubleSection([new Text('country'), new Text('state')]);

        $this->generateDoubleSection([new Text('city'), new Text('street')]);

        $field = new Text('post_code');
        $this->addField($field);
    }

}